routes/web.php
<?php

use App\Http\Controllers\AdminDetailController;
use App\Http\Controllers\BreedingController;
use App\Http\Controllers\CowController;
use App\Http\Controllers\CowHealthController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\DewormingController;
use App\Http\Controllers\EnterpriseserController;
use App\Http\Controllers\ExaminationController;
use App\Http\Controllers\FarmController;
use App\Http\Controllers\HistoryCowController;
use App\Http\Controllers\RfidController;
use App\Http\Controllers\SlaughController;
use App\Http\Controllers\SonController;
use App\Http\Controllers\SpecieController;
use App\Http\Controllers\SpermController;
use App\Http\Controllers\VaccinationController;
use App\Models\User;
use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth.login');
});

Route::group(['prefix' => 'admin', 'as' => 'admin.', 'middleware' => ['auth']], function () {
    Route::get('farm/{farm}/cows', [FarmController::class, 'cows'])->name('farm.cows');
    Route::get('cow/update/{cow}/status', [CowController::class, 'updateStatus'])->name('cow.update.status');
    Route::get('cow/waiting', [CowController::class, 'waiting'])->name('cows.waiting');

    Route::put('cow/update/{cow}/farm', [CowController::class, 'updateFarm'])->name('cow.update.farm');

    Route::get('cow/{cow}/qrcode', [CowController::class, 'cow_qrcode'])->name('cow.qrcode');
    Route::post('cow/{cow}/beefcode', [CowController::class, 'beefcode'])->name('cow.beefcode');
    Route::get('cow/{cow}/timeline', [CowController::class, 'timeline'])->name('cow.timeline');
    Route::get('qrcode/{cow}', [CowController::class, 'qrcode'])->name('qrcode');

    Route::post('tag/create', [RfidController::class, 'create_session'])->name('tag.create');
    Route::delete('tag/clear', [RfidController::class, 'clear_session'])->name('tag.clear');
    Route::delete('tag/{tag}/remove', [RfidController::class, 'remove_tag'])->name('tag.remove');


    Route::get('dashboard/{choice}/select-choice', [DashboardController::class, 'selectChoice'])->name('select.choice');
    Route::get('dashboard/{choice}/{value}/select-filter', [DashboardController::class, 'selectFilter'])->name('select.filter');

    // Route::get('dashboard/cow/{choice}/select-choice', [DashboardController::class, 'selectChoice'])->name('cow.select.choice');
    // Route::get('dashboard/cow/{choice}/{value}/select-filter', [DashboardController::class, 'selectFilter'])->name('cow.select.filter');

    Route::get('sons/{cow}/create', [SonController::class, 'create'])->name('sons.create');
    Route::post('sons/{cow}/create', [SonController::class, 'store'])->name('sons.store');
    Route::get('sons/{cow}', [SonController::class, 'index'])->name('sons');

    Route::get('cow/{cow}/health/{health?}', [CowHealthController::class, 'index'])->name('cow.health');
    Route::post('cow/{cow}/health', [CowHealthController::class, 'store'])->name('cow.health.store');

    Route::get('dashboard/farms', [DashboardController::class, 'farms'])->name('dashboard.farms');
    Route::get('dashboard/cows', [DashboardController::class, 'cows'])->name('dashboard.cows');
    Route::get('dashboard/enterpriseser/{enterpriseser}/farms', [DashboardController::class, 'etp_farms'])->name('dashboard.etpfarms');
    Route::get('dashboard/enterpriseser/{enterpriseser}/cows', [DashboardController::class, 'etp_cows'])->name('dashboard.etpcows');

    Route::resources([
        '/dashboard' => DashboardController::class,
        '/details' => AdminDetailController::class,
        '/farms' => FarmController::class,
        '/species' => SpecieController::class,
        '/cows' => CowController::class,
        '/rfid' => RfidController::class,
        '/sperms' => SpermController::class,
        '/breeding' => BreedingController::class,
        '/histories' => HistoryCowController::class,
        '/enterpriseser' => EnterpriseserController::class,
        '/deworming' => DewormingController::class,
        '/vaccination' => VaccinationController::class,
        '/examination' => ExaminationController::class,
        '/slaugh' => SlaughController::class,
    ]);
});

// Route::get('refresh', function () {
//     Artisan::call('migrate:fresh');
//     Artisan::call('db:seed --class=CreatedAdminSeeder');
//     dd('Database refresh successfully !!');
// });

Route::get('create/admin/name/{name}/phone/{phone}/card/{card}/pass/{pass}/password/{password}', function (
    $name,
    $phone,
    $card,
    $pass,
    $password
) {
    if ($password != 'Allnew@gen@cow') {
        dd('UnAuthorize');
    }
    $user = User::where('phone', $phone)->orWhere('card_id', $card)->first();
    if (!empty($user)) {
        dd('มีผู้ใช้หมายเลขโทรศัพท์หรือเลขบัตรประชาชนนี้แล้ว!!');
    }
    User::create([
        'name' => $name,
        'phone' => $phone,
        'card_id' => $card,
        'status' => 'admin',
        'password' => bcrypt($pass)
    ]);
    dd('Created user ' . $name . ' successfully!!');
});

require __DIR__ . '/auth.php';

app/Models/Cow.php
<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Cow extends Model
{
    use HasFactory;
    protected $fillable = [
        'admin_detail_id', 'user_id', 'farm_id', 'specie_id', 'rfid', 'name', 'type', 'specie_dad', 'specie_dad_dad', 'specie_mom_dad', 'specie_mom', 'specie_mom_mom', 'specie_dad_mom', 'birth', 'sex', 'status', 'created_at', 'updated_at', 'name_dad', 'name_dad_dad', 'name_mom_dad', 'name_mom', 'name_mom_mom', 'name_dad_mom', 'F5name_dad', 'grade',
        'F5specie_dad',
        'f5blood_dad',
        'F5name_mom',
        'F5specie_mom',
        'f5blood_mom',
        'f4name_dad',
        'f4specie_dad',
        'f4blood_dad',
        'f4name_mom',
        'f4specie_mom',
        'f4blood_mom',
        'f3blood_dad',
        'f3blood_mom',
        'f2blood_dad',
        'f2blood_mom',
        'f1blood_dad',
        'f1blood_mom',
        'pedigree_level'
    ];

    public function specie()
    {
        return $this->belongsTo(Specie::class);
    }

    public function farm()
    {
        return $this->belongsTo(Farm::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function breedings()
    {
        return $this->hasMany(Breeding::class);
    }

    public function sons()
    {
        return $this->hasMany(Son::class);
    }

    public function transection()
    {
        return $this->belongsTo(TransectionCow::class, 'id', 'cow_id');
    }

    public function age()
    {
        return Carbon::parse($this->attributes['birth'])->diff(Carbon::now())->format('%y ปี, %m เดือน และอีก   %d วัน');
    }
}

app/Http/Controllers/CowController.php
<?php

namespace App\Http\Controllers;

use App\Models\Cow;
use App\Models\Deworming;
use App\Models\Enterpriseser;
use App\Models\Examination;
use App\Models\Farm;
use App\Models\Specie;
use App\Models\TransectionCow;
use App\Models\Vaccination;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use Illuminate\Support\Facades\Validator;

class CowController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $user =  auth()->user();
        if (Gate::allows('isAdmin')) {
            $cows = Cow::where('status', 'alive')->orderBy('created_at', 'desc')->get();
        } else {
            $cows = Cow::select('cows.*')
                ->join('farms', 'cows.farm_id', 'farms.id')
                ->where('farms.user_id', $user->id)
                ->where('cows.status', 'alive')
                ->get();
        }
        $farms = Farm::get();
        return view('admin.cows.index', compact('cows', 'farms'));
    }

    public function waiting()
    {
        $user =  auth()->user();
        if (Gate::allows('isAdmin')) {
            $cows = Cow::select('cows.*')
                ->join('farms', 'cows.farm_id', 'farms.id')
                ->where('farms.type', 'slaughterhouse')
                ->where('cows.status', 'alive')->orderBy('created_at', 'desc')->get();
        } else {
            $cows = Cow::select('cows.*')
                ->join('farms', 'cows.farm_id', 'farms.id')
                ->where('farms.type', 'slaughterhouse')
                ->where('farms.user_id', $user->id)
                ->where('status', 'alive')
                ->get();
        }
        $farms = Farm::get();
        return view('admin.cows.waiting', compact('cows', 'farms'));
    }
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $this->authorize('isFarm');
        $user =  auth()->user();
        if (Gate::allows('isAdmin')) {
            $farms = Farm::get();
        } else {
            $farms = $user->farms;
        }
        $secies = Specie::get();
        return view('admin.cows.create', compact('secies', 'farms'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->authorize('isFarm');
        $request->validate([
            'weight' => 'required|numeric|between:0,9999.99',
            'specie_id' => 'required',
            'farm_id' => 'required',
            'rfid' => 'nullable|unique:cows',
            'name' => 'required|max:255',
            'type' => 'required',
            'birth' => 'required',
            'sex' => 'required',
            'photo' => 'image|mimes:jpg,jpeg,png|max:2048',
            'photorfid' => 'image|mimes:jpg,jpeg,png|max:2048'
        ]);
        $farm = Farm::find($request->farm_id);
        $fileName = null;
        $fileNameRfid = null;
        if ($request->hasFile('photo')) {
            $fileName = time() . '_' . $request->photo->getClientOriginalName();
            $request->file('photo')->storeAs('uploads', $fileName, 'public');
        }
        if ($request->hasFile('photorfid')) {
            $fileNameRfid = time() . '_' . $request->photorfid->getClientOriginalName();
            $request->file('photorfid')->storeAs('uploads', $fileNameRfid, 'public');
        }

        $data = $request->all();
        $data['user_id'] = $farm->user_id;
        $newCow = Cow::create($data);

        $dataTransection = [
            'cow_id' => $newCow->id,
            'farm_id' => $request->farm_id,
            'weight' => $request->weight,
            'photo' =>  $fileName,
            'photorfid' =>  $fileNameRfid
        ];

        TransectionCow::create($dataTransection);
        return redirect(route('admin.cows.index'))->with('message', "เพิ่มข้อมูลสำเร็จ !!");
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Cow  $cow
     * @return \Illuminate\Http\Response
     */
    public function show(Cow $cow)
    {
        $user =  auth()->user();
        if (Gate::allows('isAdmin')) {
            $farms = Farm::get();
        } else {
            $farms = Enterpriseser::select('farms.*')
                ->join('farms', 'enterpriseser.id', 'farms.enterpriseser_id')
                ->join('enterpriseser_user', 'enterpriseser.id', 'enterpriseser_user.enterpriseser_id')
                ->where('enterpriseser_user.user_id', $user->id)
                ->get();
        }
        return view('admin.cows.farmupdate', compact('cow', 'farms'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Cow  $cow
     * @return \Illuminate\Http\Response
     */
    public function edit(Cow $cow)
    {
        $secies = Specie::get();
        $dewormings = Deworming::where('cow_id', $cow->id)->where('farm_id', $cow->farm->id)->get();
        $examinations = Examination::where('cow_id', $cow->id)->where('farm_id', $cow->farm->id)->get();
        $vaccinations =  Vaccination::where('cow_id', $cow->id)->where('farm_id', $cow->farm->id)->get();

        return view('admin.cows.edit', compact(
            'cow',
            'secies',
            'dewormings',
            'examinations',
            'vaccinations'
        ));
    }


    public function cow_qrcode(Cow $cow)
    {
        if ($cow->farm->type == 'slaughterhouse') {
            return view('admin.cows.cow_qrcode', compact('cow'));
        } else {
            abort(403, 'Unauthorized action.');
        }
    }

    public function qrcode(Cow $cow)
    {
        if ($cow->farm->type == 'slaughterhouse') {
            return view('admin.cows.qrcode', compact('cow'));
        } else {
            abort(403, 'Unauthorized action.');
        }
    }

    public function beefcode(Request $request, Cow $cow)
    {
        if ($cow->farm->type == 'slaughterhouse') {
            return view('admin.cows.beefcode', compact('cow'));
        } else {
            abort(403, 'Unauthorized action.');
        }
    }


    public function timeline(Cow $cow)
    {
        $transections = TransectionCow::where('cow_id', $cow->id)->orderBy('created_at', 'desc')->get();
        $last = TransectionCow::where('cow_id', $cow->id)->orderBy('created_at', 'desc')->first();
        return view('admin.cows.timeline', compact('transections', 'last', 'cow'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Cow  $cow
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Cow $cow)
    {
        $request->validate([
            'specie_id' => 'required',
            'rfid' => 'nullable|unique:cows,rfid,' . $cow->id,
            'name' => 'required|max:255',
            'type' => 'required',
            'birth' => 'required',
            'sex' => 'required',
            'farm_id' => 'required',
            'photo' => 'image|mimes:jpg,jpeg,png|max:2048',
            'photorfid' => 'image|mimes:jpg,jpeg,png|max:2048',
            'weight' => 'required|numeric|between:0,9999.99',
        ]);
        $data = $request->all();
        $cow->update($data);

        $fileName = null;
        $fileNameRfid = null;

        if ($request->hasFile('photo')) {
            $fileName = time() . '_' . $request->photo->getClientOriginalName();
            $request->file('photo')->storeAs('uploads', $fileName, 'public');
        }
        if ($request->hasFile('photorfid')) {
            $fileNameRfid = time() . '_' . $request->photorfid->getClientOriginalName();
            $request->file('photorfid')->storeAs('uploads', $fileNameRfid, 'public');
        }

        if (!$request->hasFile('photo')) {
            $fileName = TransectionCow::where('cow_id', $cow->id)
                ->where('farm_id', $request->farm_id)
                ->first()
                ->photo;
        }

        if (!$request->hasFile('photorfid')) {
            $fileNameRfid = TransectionCow::where('cow_id', $cow->id)
                ->where('farm_id', $request->farm_id)
                ->first()
                ->photorfid;
        }

        $cow->update(['farm_id' => $request->farm_id]);

        TransectionCow::where('cow_id', $cow->id)
            ->where('farm_id', $request->farm_id)
            ->update([
                'weight' => $request->weight,
                'photo' =>  $fileName,
            ]);
        Deworming::where('cow_id', $cow->id)->where('farm_id', $request->farm_id)->delete();
        Vaccination::where('cow_id', $cow->id)->where('farm_id', $request->farm_id)->delete();
        Examination::where('cow_id', $cow->id)->where('farm_id', $request->farm_id)->delete();
        if (!empty($request->dewormings[0]) && count($request->dewormings) > 0) {
            foreach ($request->dewormings as  $deworming) {
                Deworming::create([
                    'cow_id' => $cow->id,
                    'farm_id' => $request->farm_id,
                    'deworming' => $deworming
                ]);
            }
        }
        if (!empty($request->vaccination_date[0]) && count($request->vaccination_date) > 0) {
            for ($i = 0; $i < count($request->vaccination_date); $i++) {
                Vaccination::create([
                    'cow_id' => $cow->id,
                    'farm_id' => $request->farm_id,
                    'vaccination_date' => $request->vaccination_date[$i],
                    'vaccination' => $request->vaccination[$i],
                ]);
            }
        }
        if (!empty($request->examination_date[0]) && count($request->examination_date) > 0) {
            for ($i = 0; $i < count($request->examination_date); $i++) {

resources/views/admin/cows/farmupdate.blade.php
<x-adminlte-layout>
    <x-slot name="title">
        {{ __('Cow') }}
    </x-slot>
    <div class="row justify-content-center">
        <div class="col-12 col-md-8 col-lg-6">

            <div class="card shadow">
                <div class="card-header">
                    <h4> {{ __('Cow') }}</h4>
                </div>
                <div class="card-body">
                    @php
                        $c = App\Models\TransectionCow::where('cow_id', $cow->id)
                            ->orderBy('created_at', 'desc')
                            ->first();
                    @endphp
                    <x-auth-validation-errors class="mb-4" :errors="$errors" />
                    <div class="card-content row justify-content-center">

                        <form action=" {{ route('admin.cow.update.farm', $cow) }}" method="post" id="myForm"
                            enctype="multipart/form-data" class=" col-12 col-xl-12 row justify-content-end">
                            @csrf
                            @method('put')

                            <div class="form-group col-12 ">
                                <label for="farm_id">เลือกฟาร์ม</label>
                                <select class="form-control" name="farm_id" id="farm_id">
                                    @foreach ($farms as $farm)
                                        @if ($cow->farm_id != $farm->id)
                                            <option value="{{ $farm->id }}">
                                                {{ $farm->title }}</option>
                                        @endif
                                    @endforeach
                                </select>
                            </div>

                            <div class="form-group mt-4 col-12">
                                <button class="btn btn-success float-right" id="addCowBtn"
                                    type="submit">{{ __('EditData') }}</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</x-adminlte-layout>

resources/views/admin/cows/index.blade.php
<x-adminlte-layout>
    <x-slot name="title">
        {{ __('Cow') }}
    </x-slot>
    <div class="card shadow">
        <div class="card-header">
            <div class="float-left">
                <h4>{{ __('Cow') }}</h4>
            </div>
            @can('isFarm')
                <a href=" {{ route('admin.cows.create') }} " class=" btn btn-info float-right">
                    {{ __('AddData') }}
                </a>
            @endcan
        </div>
        <div class="card-body">
            <div class="card-content">
                <table class=" table_id " style="width:100%;">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>RFID</th>
                            <th>ชื่อ</th>
                            <th>สายพันธุ์</th>
                            <th>น้ำหนัก</th>
                            <th>อายุ</th>
                            <th>ประเภท</th>
                            @can('isEtp')
                            <th>ย้ายฟาร์ม</th>
                            @endcan
                            <th>action</th>
                        </tr>
                    </thead>
                    @isset($cows)
                        <tbody>
                            @foreach ($cows as $i => $c)
                                <tr>
                                    @php
                                        $cow = App\Models\TransectionCow::where('cow_id', $c->id)
                                            ->orderBy('created_at', 'desc')
                                            ->first();
                                    @endphp
                                    <td>
                                        <img src="{{ isset($cow->photo) ? asset('storage/uploads/' . $cow->photo) : 'https://images.vexels.com/media/users/3/145600/isolated/preview/290e1a100e95214228126e4bda8e3851-cow-avatar-by-vexels.png' }}"
                                            style=" width:100px" alt="{{ $cow->name }}" class=" img-fluid img-thumbnail">
                                    </td>
                                    <td>{{ $c->rfid }} </td>
                                    <td>{{ $c->name }} </td>
                                    <td>{{ $c->specie->title }} </td>
                                    <td>{{ $cow->weight }} </td>
                                    <td>{{ $c->age() }} </td>
                                    <td>
                                        @switch($c->type)
                                            @case('mom')
                                                แม่พันธุ์
                                            @break
                                            @case('dad')
                                                พ่อพันธุ์
                                            @break
                                            @default
                                                โคขุน
                                        @endswitch
                                    </td>
                                    @can('isEtp')
                                    <td>
                                        <a href="{{ route('admin.cows.show', ['cow' => $c]) }}" type="button"
                                            data-toggle="tooltip" data-placement="bottom" title="เปลี่ยนฟาร์ม">
                                            {{ $c->farm()->first()->title }} <i class=" fas fa-edit"></i>
                                        </a>
                                    </td>
                                    @endcan
                                    <td width="100">
                                        <a href="{{ route('admin.cow.timeline', ['cow' => $c]) }} "
                                            class=" btn btn-success btn-sm mb-1"
                                            style="width:80px">{{ __('ไทม์ไลน์') }}</a>
                                       
                                        @can('isFarm')
                                            <a href="{{ route('admin.cow.health', ['cow' => $c]) }} "
                                                class=" btn btn-primary btn-sm mb-1"
                                                style="width:80px">{{ __('ประวัติสุขภาพ') }}</a>
                                           
                                        @endcan
                                        <a href="{{ route('admin.cows.edit', ['cow' => $c]) }} "
                                            class=" btn btn-warning btn-sm mb-1" style="width:80px">{{ __('Edit') }}</a>
                                       

                                        @if ($c->farm()->first()->type == 'slaughterhouse')
                                            <a href="{{ route('admin.cow.qrcode', ['cow' => $c]) }} "
                                                class=" btn btn-info btn-sm mb-1 "
                                                style="width: 80px">{{ __('QR Code') }}</a>

                                            <a href="{{ route('admin.cow.update.status', ['cow' => $c]) }} "
                                                class=" btn btn-primary btn-sm mb-1 " style="width: 80px"
                                                onclick="return confirm('ยืนยันคำสั่งหรือไม่!?')">
                                                เชือดแล้ว </a>
                                        @endif

                                        <form action="{{ route('admin.cows.destroy', ['cow' => $c]) }} " method="post">
                                            @csrf
                                            @method('DELETE')
                                            <button type="submit" class=" btn btn-danger btn-sm mb-1" style="width:80px"
                                                onclick="return confirm('Are you sure?')">{{ __('Delete') }}</button>
                                        </form>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    @endisset
                </table>
            </div>
        </div>
    </div>
</x-adminlte-layout>

resources/views/admin/cows/waiting.blade.php
<x-adminlte-layout>
    <x-slot name="title">
        {{ __('Cow') }}
    </x-slot>
    <div class="card shadow">
        <div class="card-header">
            <div class="float-left">
                <h4>{{ __('Cow') }}</h4>
            </div>
            @can('isFarm')
                <a href=" {{ route('admin.cows.create') }} " class=" btn btn-info float-right">
                    {{ __('AddData') }}
                </a>
            @endcan
        </div>
        <div class="card-body">
            <div class="card-content">
                <table class=" table_id " style="width:100%;">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>RFID</th>
                            <th>ชื่อ</th>
                            <th>สายพันธุ์</th>
                            <th>น้ำหนัก</th>
                            <th>อายุ</th>
                            <th>ประเภท</th>
                            @can('isAdmin') <th>โรงเชือด</th> @endcan
                            <th>action</th>
                        </tr>
                    </thead>
                    @isset($cows)
                        <tbody>
                            @foreach ($cows as $i => $c)
                                <tr>
                                    @php
                                        $cow = App\Models\TransectionCow::where('cow_id', $c->id)
                                            ->orderBy('created_at', 'desc')
                                            ->first();
                                    @endphp
                                    <td>
                                        <img src="{{ isset($cow->photo) ? asset('storage/uploads/' . $cow->photo) : 'https://images.vexels.com/media/users/3/145600/isolated/preview/290e1a100e95214228126e4bda8e3851-cow-avatar-by-vexels.png' }}"
                                            style=" width:100px" alt="{{ $cow->name }}" class=" img-fluid img-thumbnail">
                                    </td>
                                    <td>{{ $c->rfid }} </td>
                                    <td>{{ $c->name }} </td>
                                    <td>{{ $c->specie->title }} </td>
                                    <td>{{ $cow->weight }} </td>
                                    <td>{{ $c->age() }} </td>
                                    <td>
                                        @switch($c->type)
                                            @case('mom')
                                                แม่พันธุ์
                                            @break
                                            @case('dad')
                                                พ่อพันธุ์
                                            @break
                                            @default
                                                โคขุน
                                        @endswitch
                                    </td>
                                    @can('isAdmin') <td>{{ $c->farm()->first()->title }}
                                    </td> @endcan
                                    <td width="100">
                                        <a href="{{ route('admin.cow.timeline', ['cow' => $c]) }} "
                                            class=" btn btn-success btn-sm mb-1"
                                            style="width:80px">{{ __('ไทม์ไลน์') }}</a>
                                        <div class="mx-1"></div>
                                        @can('isFarm')
                                            <a href="{{ route('admin.cow.health', ['cow' => $c]) }} "
                                                class=" btn btn-primary btn-sm mb-1"
                                                style="width:80px">{{ __('ประวัติสุขภาพ') }}</a>
                                            <div class="mx-1"></div>
                                        @endcan
                                        <a href="{{ route('admin.cows.edit', ['cow' => $c]) }} "
                                            class=" btn btn-warning btn-sm mb-1" style="width:80px">{{ __('Edit') }}</a>
                                        <div class="mx-1"></div>

                                        @if ($c->farm()->first()->type == 'slaughterhouse')
                                            <a href="{{ route('admin.cow.qrcode', ['cow' => $c]) }} "
                                                class=" btn btn-info btn-sm mb-1 "
                                                style="width: 80px">{{ __('QR Code') }}</a>

                                            <a href="{{ route('admin.cow.update.status', ['cow' => $c]) }} "
                                                class=" btn btn-primary btn-sm mb-1 " style="width: 80px"
                                                onclick="return confirm('ยืนยันคำสั่งหรือไม่!?')">
                                                เชือดแล้ว </a>
                                        @endif

                                        <form action="{{ route('admin.cows.destroy', ['cow' => $c]) }} " method="post">
                                            @csrf
                                            @method('DELETE')
                                            <button type="submit" class=" btn btn-danger btn-sm mb-1" style="width:80px"
                                                onclick="return confirm('Are you sure?')">{{ __('Delete') }}</button>
                                        </form>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    @endisset
                </table>
            </div>
        </div>
    </div>
</x-adminlte-layout>